some .exe files do not show icon

Bug #622220 reported by Jack Leigh on 2010-08-22
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-exe-thumbnailer (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
icoutils (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: gnome-exe-thumbnailer

Some .exe files (which I know have an icon on Windows) do not show an icon.
Running the script directly on one such file I get:

/tmp/tmp.r8SqrgMQZj: x_pels_per_meter field in bitmap should be zero
/tmp/tmp.r8SqrgMQZj: y_pels_per_meter field in bitmap should be zero
/tmp/tmp.r8SqrgMQZj: x_pels_per_meter field in bitmap should be zero
/tmp/tmp.r8SqrgMQZj: y_pels_per_meter field in bitmap should be zero
/tmp/tmp.r8SqrgMQZj: no images matched
composite: invalid argument for option `-geometry': ++ @ composite.c/CompositeImageCommand/1014.
cp: missing destination file operand after `/tmp/tmp.gv33kRG2sD'
Try `cp --help' for more information.

Jack Leigh (leighman) wrote :

the x_pels_per_meter error is coming from icotool and seems to be passed to $INDEX and $OFFSET?
Opening and saving the file in GIMP seems to solve the problem, incidentally.

Jack Leigh (leighman) wrote :

Both files also only seem to contain a 48 x 48 icon, which I think is the main problem

Jan Nekvasil (jan-nekvasil) wrote :

Please, could You name some of the .exe files affected by this bug?

Jack Leigh (leighman) wrote :

Aquaria111.2008.12.12.exe
Install_Samorost2.exe
XviD-1.0.3-20122004.exe ( attached since I'm reasonably sure it's redistributable although I'm not sure if it has an icon on Windows :/ )
QuickGammaV2EN.exe
PCBugDoctor_newsetup.exe

Sorry, they're all just lying around on my harddrive.

Also Tera Copy from http://www.codesector.com/teracopy.php

Jan Nekvasil (jan-nekvasil) wrote :

There are multiple issues with such .exe files; some of them I was able to resolve in attached modified version of gnome-exe-thumbnailer.sh.

Problem: There are some icons in the file, but none of them is 32x32 or smaller.
Example: OcsLogon.exe (from OCS Inventory NG)
Solution: Use 48x48 resized to 24x24 (resizing to 50% leads to acceptable results).

Problem: There is no sane version number in the version number resource.
Example: XviD-1.0.3-20122004.exe
Solution: Just fix my stupid mistake. :)

Problem: icotool reports "compressed image data not supported".
Example: peazip-3.2.1.WINDOWS.exe
Possible solution: Use patched icoutils (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511944); yet to be done.

Please, put the downloaded script in /usr/bin as root and run "nautilus -q; rm -r ~/.thumbnails; sleep 1; nautilus" as a normal user and let me know about the results.

Jack Leigh (leighman) wrote :

Thanks for your amazing work!

Aquaria111.2008.12.12.exe
now shows icon but still no version, if it has one
Install_Samorost2.exe
now shows icon but still no version, if it has one

XviD-1.0.3-20122004.exe
now shows icon but still no version (so that fix seems not to be working?)

QuickGammaV2EN.exe, PCBugDoctor_newsetup.exe, teracopy.exe
now shows wine icon but not an extracted one if it has one

One regression I'm pretty sure on is Spotify Installer.exe is now not showing its icon and exifersetup.exe ( http://www.friedemann-schmidt.com/software/exifer/ ) is now showing a default install icon rather than its own icon

Jan Nekvasil (jan-nekvasil) wrote :

XviD-1.0.3-20122004.exe does have an empty string in version resource; the thumbnailer only tells the sad truth.

QuickGammaV2EN.exe and teracopy.exe are using the generic installer icon (the same ugly icon which is used by .msi files in WXP), which cannot be extracted due some bug in icotool. Now what to do? So I made a feature from bug and supplied a better one. Exifersetup.exe contains only this icon too, which is used also in Windows.

Extract attached archive please with "sudo tar xjvf gnome-exe-thumbnailer.tar.bz2 -C /" and run "nautilus -q; rm -r ~/.thumbnails; sleep 1; nautilus" again.

Jan Nekvasil (jan-nekvasil) wrote :

And when You add the attached file to /usr/bin (after installing gnome-exe-thumbnailer.tar.bz2 from post #7), the Spotify Installer.exe is back in the game (contains both compressed hi-res and normal lo-res icons, which we can use).

Jack Leigh (leighman) wrote :

Looking goood. Can't find any problem ones now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-exe-thumbnailer - 0.7-0ubuntu1

---------------
gnome-exe-thumbnailer (0.7-0ubuntu1) maverick; urgency=low

  * New version (thanks Jan Nekvasil)
    - support Vista icons (LP: #622220)
  * Include copy of LGPL 2.1 (LP: #648200)
  * Put images in /usr/share/pixmaps/gnome-exe-thumbnailer
 -- Scott Ritchie <email address hidden> Wed, 29 Sep 2010 03:44:35 -0700

Changed in gnome-exe-thumbnailer (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icoutils - 0.29.1-0ubuntu1

---------------
icoutils (0.29.1-0ubuntu1) maverick; urgency=low

  * debian/copyright:
    - code is now GPL3 licensed
    - new upstream authors
  * New upstream release (LP: #651845)
    - Drop package changes to config.sub and config.guess
    - Supports vista icons (LP: #622220, #643085)
    - Performance improvements (LP: #614918)
    - Other fixes (LP: #643460)
  * debian/control: add homepage
 -- Scott Ritchie <email address hidden> Thu, 30 Sep 2010 00:27:59 -0700

Changed in icoutils (Ubuntu):
status: New → Fix Released
Martin Pitt (pitti) wrote :

gnome-exe-thumbnailer was uploaded as lucid SRU, and while the changes are rather large, they look reasonable, and are necessary for good support of the final wine 1.2 (which also was uploaded as an SRU), so SRU ack for that.

However, I suppose this also needs a new icoutils to go along with it?

Changed in gnome-exe-thumbnailer (Ubuntu Lucid):
status: New → Triaged
Scott Ritchie (scottritchie) wrote :

Martin: Yes, however the script will not break if only the old icoutils is available (instead it'll just not make icons for this type)

Accepted gnome-exe-thumbnailer into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gnome-exe-thumbnailer (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Scott Ritchie (scottritchie) wrote :

icoutils is in main and I don't have upload rights to make a Proposed SRU for it, can you please do so for me pitti? (just a straight backport of the maverick package works)

Martin Pitt (pitti) wrote :

Straight backport uploaded.

Martin Pitt (pitti) wrote :

Accepted icoutils into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in icoutils (Ubuntu Lucid):
status: New → Fix Committed

SRU verification for Lucid:
I have reproduced the problem with icoutils gnome-exe-thumbnailer in lucid and have verified that the version of icoutils and gnome-exe-thumbnailer in -proposed fixes the issue.

But when extracting Spotify_Installer.exe icon from the command line I get the following error/warning
/tmp/tmp.iroJqYUfui: incorrect total size of bitmap (30961 specified; 9640 real)
/tmp/tmp.iroJqYUfui: skipping 21321 bytes of garbage at 13342
/tmp/tmp.iroJqYUfui: premature end

I don't know if it's just comestic or a real error. The icon is correctly generated though (with correct icon and version)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icoutils - 0.29.1-0ubuntu1~lucid

---------------
icoutils (0.29.1-0ubuntu1~lucid) lucid-proposed; urgency=low

  * Lucid backport, for proper Wine 1.2 support (LP: #622220)

icoutils (0.29.1-0ubuntu1) maverick; urgency=low

  * debian/copyright:
    - code is now GPL3 licensed
    - new upstream authors
  * New upstream release (LP: #651845)
    - Drop package changes to config.sub and config.guess
    - Supports vista icons (LP: #622220, #643085)
    - Performance improvements (LP: #614918)
    - Other fixes (LP: #643460)
  * debian/control: add homepage
 -- Martin Pitt <email address hidden> Fri, 15 Oct 2010 08:41:08 +0200

Changed in icoutils (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-exe-thumbnailer - 0.7-0ubuntu1~lucid1

---------------
gnome-exe-thumbnailer (0.7-0ubuntu1~lucid1) lucid-proposed; urgency=low

  * New version with great looking icons (thanks Jan Nekvasil)
    - support Vista icons (LP: #622220)
  * Include copy of LGPL 2.1 (LP: #648200)
  * Put images in /usr/share/pixmaps/gnome-exe-thumbnailer
 -- Scott Ritchie <email address hidden> Wed, 29 Sep 2010 06:50:40 -0700

Changed in gnome-exe-thumbnailer (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.